Loading...
Searching...
No Matches
to_string.hpp File Reference

## Description

Provides bsoncxx::v_noabi::string::to_string.

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::string
| Declares entities related to handling string types.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::string
| Declares entities related to handling string types.

## Functions

template<class CharT, class Traits = std::char_traits<CharT>, class Allocator = std::allocator<CharT>>
std::basic_string< CharT, Traits, Allocator > | bsoncxx::string::to_string (v_noabi::stdx::basic_string_view< CharT, Traits > value, Allocator const &alloc=Allocator())
| Convert a bsoncxx::v_noabi::stdx::string_view to a std::string.
template<class CharT, class Traits = std::char_traits<CharT>, class Allocator = std::allocator<CharT>>
std::basic_string< CharT, Traits, Allocator > | bsoncxx::v_noabi::string::to_string (v_noabi::stdx::basic_string_view< CharT, Traits > value, Allocator const &alloc=Allocator())
| Convert a bsoncxx::v_noabi::stdx::string_view to a std::string.